MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::RedundantCartesianSubIterCCA Class Reference
Inheritance diagram for sc::RedundantCartesianSubIterCCA:
[legend]
Collaboration diagram for sc::RedundantCartesianSubIterCCA:
[legend]

## Public Member Functions
| RedundantCartesianSubIterCCA (int l)
int | bfn ()
| Return the current Cartesian basis function number.
Public Member Functions inherited from sc::RedundantCartesianSubIter
| RedundantCartesianSubIter (int l)
| Create a object for the given angular momentum.
void | start (int a, int b, int c)
| Initialize the iterator. More...
void | next ()
| Move to the next combination of axes.
| operator int () const
| Returns nonzero if the iterator currently hold valid data.
int | a () const
| The current exponent of x.
int | b () const
| The current exponent of y.
int | c () const
| The current exponent of z.
int | l () const
| The angular momentum.
int | l (int i)
| Returns a() if i==0, b() if i==1, and c() if i==2.
int | axis (int i)
| Return the i'th axis.

The documentation for this class was generated from the following file:

- intcca/cartit.h